{% extends 'base.html' %}
{% load bootstrap5 %}

<!-- Tab-Title -->
{% block tab_title %}
    Categories
{% endblock %}

<!-- Content -->
{% block content %}

    <!-- Delete-Modals -->
    {% for category in categories %}
        <div class="modal fade" id="deleteModal-{{ category.id }}" tabindex="-1"
             aria-labelledby="deleteModalLabel-{{ category.id }}" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteModalLabel-{{ category.id }}">Delete category
                            <{{ category.name }}></h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        Do you really want to delete this category?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <a class="btn btn-danger" href="{% url 'delete_category' category.id %}">Delte now!</a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}

    <!-- Create Button -->
    <div class="mt-3">
        <a class="btn btn-primary" href="{% url 'create_category' %}">Create category</a>
    </div>

    <!-- Category-Table -->
    <div class="mt-4">
        <table class="table">
            <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Description</th>
                <th scope="col">Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>{{ category.description }}</td>
                    <td>
                        <a class="btn btn-sm btn-primary" href="{% url 'update_category' category.id %}">Bearbeiten</a>
                        <button class="btn btn-sm btn-danger" data-bs-toggle="modal"
                                data-bs-target="#deleteModal-{{ category.id }}">
                            Delete
                        </button>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}